Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006085opensim[REGION] Physics Enginespublic2012-07-10 08:382014-07-29 13:41
ReporterEryn Galen 
Assigned Todahlia 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOpensimOSWindowsOS VersionServer 2008
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0006085: Slice on tapered box makes prim partly phantom.
DescriptionPrim goes partly phantom if a slice is applied to a tapered box. The phantom part grows with the amount of slice.

Also the bounding box of the prim seems not to adjust to the sliced portion. The effect is if you put the prim on an angle and walk on top of it, you will walk on "thin air". Put against another prim on the same level its not possible to walk from this other prim onto the sliced prim everywhere. The effect is like a ghost prim.
Steps To ReproduceRez a box, taper it to 1.0 and shear to +/- 0.50 on X, then Slice more than 0.020 and the prim will become partly phantom. It is more easily noticeable on bigger prims, but tested with x=30.0, y=.25, z = 10.0.

Its reproducible every time with various viewers, on various opensim versions on OSgrid, in both Windows and Linux on different server setups - and even on an ancient 0.69 standalone version.
TagsNo tags attached.
Git Revision or version number729d90173f82f5ac51b8b69ee8b3362599ffd2f1 : [r/19194]
Run Mode Grid (1 Region per Sim)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
ViewerImprudence, Zen, Teapot
Attached Files

- Relationships

-  Notes
(0021804)
dahlia (administrator)
2012-07-13 21:27

Please try git master on or after commit r5d3723a47f7d and close this issue if the problem appears fixed

- Issue History
Date Modified Username Field Change
2012-07-10 08:38 Eryn Galen New Issue
2012-07-13 21:25 dahlia Assigned To => dahlia
2012-07-13 21:25 dahlia Status new => assigned
2012-07-13 21:27 dahlia Note Added: 0021804
2012-07-13 21:27 dahlia Status assigned => resolved
2012-07-13 21:27 dahlia Fixed in Version => master (dev code)
2012-07-13 21:27 dahlia Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker